package main

import (
	"gorm.io/gen"
	"leafdev.top/Leaf/api-platform/internal/entity"
)

func main() {
	g := gen.NewGenerator(gen.Config{
		OutPath: "../../internal/dao",
		Mode:    gen.WithoutContext | gen.WithDefaultQuery | gen.WithQueryInterface, // generate mode
	})

	g.ApplyBasic(
		entity.Packages{},
		entity.Api{},
		entity.ApiDocument{},
		entity.Order{},
		entity.OrderItem{},
		entity.UserPackage{},
		entity.PromoCode{},
	)

	g.Execute()
}
