package entity

import (
	"gorm.io/gorm"
	"time"
)

type PromoCode struct {
	Model
	Code           string          `json:"code"`
	DiscountType   string          `json:"discount_type"`
	DiscountValue  float64         `json:"discount_value"`
	ExpirationDate *time.Time      `json:"expiration_date"`
	IsActive       bool            `json:"is_active"`
	DeletedAt      *gorm.DeletedAt `json:"deleted_at"`
}
